package fslog

import (
	"github.com/grpc-ecosystem/go-grpc-middleware/logging/zap"
	"google.golang.org/grpc"
)

func GRPCStreamServerLogger() grpc.StreamServerInterceptor {
	lazyInitialize()
	return grpc_zap.StreamServerInterceptor(logger)
}

func GRPCUnaryServerLogger() grpc.UnaryServerInterceptor {
	lazyInitialize()
	return grpc_zap.UnaryServerInterceptor(logger)
}
